blk_end_bidi_request
Prev | Chapter 17. Block Devices | Next

## Name

blk_end_bidi_request — Helper function for drivers to complete bidi request.

## Synopsis

`int blk_end_bidi_request (` | struct request * | rq,
| int | error,
| unsigned int | nr_bytes,
| unsigned int | bidi_bytes`)`;

## Arguments

`rq`

  the bidi request being processed

`error`

  0 for success, < 0 for error

`nr_bytes`

  number of bytes to complete `rq`

`bidi_bytes`

  number of bytes to complete `rq`->next_rq

## Description

Ends I/O on a number of bytes attached to `rq` and `rq`->next_rq.

## Return

0 - we are done with this request 1 - still buffers pending for this request

Prev | Up | Next
__blk_end_request | Home | blk_end_request_callback